#!/bin/bash

{
# run a training - TSP100
python experiments/train.py environment.num_cities=100

# then run fast rl evaluations
# 10000 instances of size 100 (loaded)
python experiments/validate.py validation.batch_size=5 validation.problems.load_problem=True validation.problems.load_path="data/validation/tsp100_test_seed1234.pkl" validation.problems.num_problems=10000 validation.environment.num_cities=100
# 1000 instances of size 125 (loaded)
python experiments/validate.py validation.batch_size=25 validation.problems.load_problem=True validation.problems.load_path="data/validation/tsp125_test_small_seed1235.pkl" validation.problems.num_problems=1000 validation.environment.num_cities=125
# 1000 instances of size 150 (loaded)
python experiments/validate.py validation.batch_size=25 validation.problems.load_problem=True validation.problems.load_path="data/validation/tsp150_test_small_seed1235.pkl" validation.problems.num_problems=1000 validation.environment.num_cities=150


# run slow rl eval - with loaded instances
# 10000 instances of size 100 (loaded)
python experiments/slowrl_validate.py slowrl.batch_size=5 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_test_seed1234.pkl" slowrl.problems.num_problems=10000 slowrl.environment.num_cities=100
# 1000 instances of size 125 (loaded)
python experiments/slowrl_validate.py slowrl.batch_size=25 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp125_test_small_seed1235.pkl" slowrl.problems.num_problems=1000 slowrl.environment.num_cities=125
# 1000 instances of size 150 (loaded)
python experiments/slowrl_validate.py slowrl.batch_size=25 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp150_test_small_seed1235.pkl" slowrl.problems.num_problems=1000 slowrl.environment.num_cities=150

}
