#!/bin/bash

{
# run a training - TSP100
# python experiments/train.py environment.num_cities=100

# run slow rl eval - with shifted instances - on TSP
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale0.pkl" slowrl.shift_scale=0 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale1.pkl" slowrl.shift_scale=1 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale2.pkl" slowrl.shift_scale=2 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale3.pkl" slowrl.shift_scale=3 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale4.pkl" slowrl.shift_scale=4 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale5.pkl" slowrl.shift_scale=5 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale6.pkl" slowrl.shift_scale=6 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale7.pkl" slowrl.shift_scale=7 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale8.pkl" slowrl.shift_scale=8 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale9.pkl" slowrl.shift_scale=9 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100
python experiments/slowrl_validate.py slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/tsp100_shifted_scale10.pkl" slowrl.shift_scale=10 slowrl.problems.num_problems=1800 slowrl.environment.num_cities=100

# run slow rl eval - with shifted instances - on CVRP
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale0.pkl" slowrl.shift_scale=0 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale1.pkl" slowrl.shift_scale=1 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale2.pkl" slowrl.shift_scale=2 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale3.pkl" slowrl.shift_scale=3 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale4.pkl" slowrl.shift_scale=4 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale5.pkl" slowrl.shift_scale=5 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale6.pkl" slowrl.shift_scale=6 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale7.pkl" slowrl.shift_scale=7 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale8.pkl" slowrl.shift_scale=8 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale9.pkl" slowrl.shift_scale=9 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50
python experiments/slowrl_validate.py --config-name config_exp_cvrp slowrl.batch_size=75 slowrl.problems.load_problem=True slowrl.problems.load_path="data/validation/vrp100_shifted_scale10.pkl" slowrl.shift_scale=10 slowrl.problems.num_problems=1800 slowrl.environment.num_nodes=100 slowrl.environment.norm_factor=50

}